package com.red.circle.other.app.inner.service.user.user;


import com.red.circle.common.business.enums.SVIPLevelEnum;
import java.util.Map;
import java.util.Set;

/**
 * 用户svip服务.
 *
 * @author pengliang on 2023/6/6
 */
public interface UserSvipClientService {

  /**
   * 是否为SVip身份.
   */
  SVIPLevelEnum checkSVipIdentity(Long userId);

  /**
   * 是否为SVip身份.
   */
  Map<Long, SVIPLevelEnum> mapCheckSVipIdentity(Set<Long> userIds);

  /**
   * 累加积分.
   */
  void incrIntegral(Long userId, Long integral);

  /**
   * 校验道具是否包含SVip道具.
   *
   * @return true 存在.
   */
  Boolean existSVipProps(String sysOrigin, Long propsId);

}
